/*================================================================================================*/

.button 
{
  	display:             inline-block;
  	-moz-box-sizing:     border-box;
  	box-sizing:          border-box;
  	vertical-align:      middle;
  	text-decoration:     none;
  	text-align:          center;
  	border:              none;
  	line-height:         28px;
  	min-height:          30px;
    font-size:           14px;
    padding:             0 12px;
  	background:          #f7f7f7;
  	color:               #444444;
  	border:              1px solid rgba(0, 0, 0, 0.2);
  	border-bottom-color: rgba(0, 0, 0, 0.3);
  	background-origin:   border-box;
  	background-image:   -webkit-linear-gradient(top, #ffffff, #eeeeee);
  	background-image:    linear-gradient(to bottom, #ffffff, #eeeeee);
  	border-radius:       4px;
  	text-shadow:         0 1px 0 #ffffff;
  	margin:              2px;
}
 
.button:hover,
.button:focus 
{
  	background-color: #fafafa;
  	color:            #444444;
    outline:          none;
    text-decoration:  none;
  	background-image: none;
}

.button:active,
.button.active 
{
  	background-color: #f5f5f5;
  	color:            #444444;
  	border-color:     rgba(0, 0, 0, 0.2);
  	border-top-color: rgba(0, 0, 0, 0.3);
  	background-image: none;
  	box-shadow:       inset 0 2px 4px rgba(0, 0, 0, 0.1);
}

/*================================================================================================*/

.button-primary 
{
  	background-color:    #009dd8;
  	color:               #ffffff;
  	background-image:   -webkit-linear-gradient(top, #00b4f5, #008dc5);
  	background-image:    linear-gradient(to bottom, #00b4f5, #008dc5);
  	border-color:        rgba(0, 0, 0, 0.2);
  	border-bottom-color: rgba(0, 0, 0, 0.4);
  	text-shadow:         0 -1px 0 rgba(0, 0, 0, 0.2);
}

.button-primary:hover,
.button-primary:focus 
{
  	background-color: #00aff2;
  	color:            #ffffff;
  	background-image: none;
}

.button-primary:active,
.button-primary.active 
{
  	background-color: #008abf;
  	color:            #ffffff;
  	background-image: none;
  	border-color:     rgba(0, 0, 0, 0.2);
  	border-top-color: rgba(0, 0, 0, 0.4);
  	box-shadow:       inset 0 2px 4px rgba(0, 0, 0, 0.2);
}

/*================================================================================================*/

.button-success 
{
  	background-color:    #82bb42;
  	color:               #ffffff;
  	background-image:   -webkit-linear-gradient(top, #9fd256, #6fac34);
  	background-image:    linear-gradient(to bottom, #9fd256, #6fac34);
  	border-color:        rgba(0, 0, 0, 0.2);
  	border-bottom-color: rgba(0, 0, 0, 0.4);
  	text-shadow:         0 -1px 0 rgba(0, 0, 0, 0.2);
}

.button-success:hover,
.button-success:focus 
{
  	background-color: #8fce48;
  	color:            #ffffff;
  	background-image: none;
}

.button-success:active,
.button-success.active 
{
  	background-color: #76b430;
  	color:            #ffffff;
  	background-image: none;
  	border-color:     rgba(0, 0, 0, 0.2);
  	border-top-color: rgba(0, 0, 0, 0.4);
  	box-shadow:       inset 0 2px 4px rgba(0, 0, 0, 0.2);
}

/*================================================================================================*/

.button-danger 
{
  	background-color:    #d32c46;
  	color:               #ffffff;
  	background-image:   -webkit-linear-gradient(top, #ee465a, #c11a39);
  	background-image:    linear-gradient(to bottom, #ee465a, #c11a39);
  	border-color:        rgba(0, 0, 0, 0.2);
  	border-bottom-color: rgba(0, 0, 0, 0.4);
  	text-shadow:         0 -1px 0 rgba(0, 0, 0, 0.2);
}

.button-danger:hover,
.button-danger:focus 
{
  	background-color: #e33551;
  	color:            #ffffff;
  	background-image: none;
}

.button-danger:active,
.button-danger.active 
{
  	background-color: #c91c37;
  	color:            #ffffff;
  	background-image: none;
  	border-color:     rgba(0, 0, 0, 0.2);
  	border-top-color: rgba(0, 0, 0, 0.4);
  	box-shadow:       inset 0 2px 4px rgba(0, 0, 0, 0.2);
}

/*================================================================================================*/

.button:disabled 
{
  	background-color: #fafafa;
  	color:            #999999;
  	border-color:     rgba(0, 0, 0, 0.2);
  	background-image: none;
  	box-shadow:       none;
  	text-shadow:      0 1px 0 #ffffff;
}

/*================================================================================================*/

.button-mini 
{
  	min-height:  20px;
  	padding:     0 6px;
  	line-height: 18px;
  	font-size:   11px;
}

.button-small 
{
  	min-height:  26px;
  	padding:     0 10px;
  	line-height: 24px;
  	font-size:   12px;
}

.button-large 
{
  	min-height:    40px;
  	padding:       0 15px;
  	line-height:   38px;
  	font-size:     16px;
  	border-radius: 5px;
}

/*================================================================================================*/

.button-group 
{
  	display:        inline-block;
  	vertical-align: middle;
    position:       relative;
    font-size:      0.001px;
    white-space:    nowrap;
}

.button-group > * 
{
  	display: inline-block;
}

.button-group .button 
{
  	vertical-align: top;
  	font-size:      14px;
  	margin:         2px 0;
  	outline:        0;
}

.button-group .button-mini 
{
  	font-size: 11px;
}

.button-group .button-small 
{
  	font-size: 12px;
}

.button-group .button-large 
{
  	font-size: 16px;
}

.button-dropdown 
{
  	display:        inline-block;
  	vertical-align: middle;
  	position:       relative;
}

.button-group > .button:not(:first-child):not(:last-child),
.button-group > div:not(:first-child):not(:last-child) .button
{
  	border-radius: 0;
}

.button-group > .button:first-child,
.button-group > div:first-child .button 
{
  	border-top-right-radius:    0;
  	border-bottom-right-radius: 0;
}

.button-group > .button:last-child,
.button-group > div:last-child .button 
{
  	border-top-left-radius:    0;
  	border-bottom-left-radius: 0;
}
     
.button-group > .button:nth-child(n+2),
.button-group > div:nth-child(n+2) .button 
{
  	margin-left: -1px;
}
     
.button-group .button:active 
{
  	position: relative;
}

/*================================================================================================*/

.button
{
	cursor: pointer;
}

.button:disabled
{
	cursor: default;
}

.button::-moz-focus-inner
{
    border:  0;
    padding: 0;
}

/*================================================================================================*/
